Public Attributes | List of all members
rscs_c_handles_t Struct Reference
BLE Services » Running Speed and Cadence Service Client (RSCS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <rscs_c.h>`

## Public Attributes
uint16_t | rscs_srvc_start_handle
uint16_t | rscs_srvc_end_handle
uint16_t | rscs_rsc_meas_handle
uint16_t | rscs_rsc_meas_cccd_handle
uint16_t | rscs_sensor_loc_handle
uint16_t | rscs_rsc_feature_handle
uint16_t | rscs_ctrl_pt_handle
uint16_t | rscs_ctrl_pt_cccd_handle

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 173 of file rscs_c.h.

## Member Data Documentation

## ◆ rscs_ctrl_pt_cccd_handle

uint16_t rscs_c_handles_t::rscs_ctrl_pt_cccd_handle

RSCS CCCD handle of Control Point characteristic which has been got from peer.

Definition at line 182 of file rscs_c.h.

## ◆ rscs_ctrl_pt_handle

uint16_t rscs_c_handles_t::rscs_ctrl_pt_handle

RSCS Control Point characteristic Value handle which has been got from peer.

Definition at line 181 of file rscs_c.h.

## ◆ rscs_rsc_feature_handle

uint16_t rscs_c_handles_t::rscs_rsc_feature_handle

RSCS RSC Feature characteristic Value handle which has been got from peer.

Definition at line 180 of file rscs_c.h.

## ◆ rscs_rsc_meas_cccd_handle

uint16_t rscs_c_handles_t::rscs_rsc_meas_cccd_handle

RSCS CCCD handle of RSC Measurement characteristic which has been got from peer.

Definition at line 178 of file rscs_c.h.

## ◆ rscs_rsc_meas_handle

uint16_t rscs_c_handles_t::rscs_rsc_meas_handle

RSCS RSC Measurement characteristic Value handle which has been got from peer.

Definition at line 177 of file rscs_c.h.

## ◆ rscs_sensor_loc_handle

uint16_t rscs_c_handles_t::rscs_sensor_loc_handle

RSCS Sensor Location characteristic Value handle which has been got from peer.

Definition at line 179 of file rscs_c.h.

## ◆ rscs_srvc_end_handle

uint16_t rscs_c_handles_t::rscs_srvc_end_handle

RSCS Service end handle.

Definition at line 176 of file rscs_c.h.

## ◆ rscs_srvc_start_handle

uint16_t rscs_c_handles_t::rscs_srvc_start_handle

RSCS Service start handle.

Definition at line 175 of file rscs_c.h.

The documentation for this struct was generated from the following file:

- rscs_c.h